# Uses of Class
org.bukkit.plugin.messaging.PluginMessageListenerRegistration

Packages that use PluginMessageListenerRegistration
Package
Description
org.bukkit.plugin.messaging
Classes dedicated to specialized plugin to client protocols.

## Uses of PluginMessageListenerRegistration in org.bukkit.plugin.messaging

Methods in org.bukkit.plugin.messaging that return PluginMessageListenerRegistration
Modifier and Type
Method
Description
`@NotNull PluginMessageListenerRegistration`
Messenger.`registerIncomingPluginChannel(@NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`
Registers the specific plugin for listening on the requested incoming plugin channel, allowing it to act upon any plugin messages.
`@NotNull PluginMessageListenerRegistration`
StandardMessenger.`registerIncomingPluginChannel(@NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`
Methods in org.bukkit.plugin.messaging that return types with arguments of type PluginMessageListenerRegistration
Modifier and Type
Method
Description
`@NotNull Set<PluginMessageListenerRegistration>`
Messenger.`getIncomingChannelRegistrations(@NotNull String channel)`
Gets a set containing all the incoming plugin channel registrations that are on the requested channel.
`@NotNull Set<PluginMessageListenerRegistration>`
Messenger.`getIncomingChannelRegistrations(@NotNull Plugin plugin)`
Gets a set containing all the incoming plugin channel registrations that the specified plugin has.
`@NotNull Set<PluginMessageListenerRegistration>`
Messenger.`getIncomingChannelRegistrations(@NotNull Plugin plugin, @NotNull String channel)`
Gets a set containing all the incoming plugin channel registrations that the specified plugin has on the requested channel.
`@NotNull Set<PluginMessageListenerRegistration>`
StandardMessenger.`getIncomingChannelRegistrations(@NotNull String channel)`
`@NotNull Set<PluginMessageListenerRegistration>`
StandardMessenger.`getIncomingChannelRegistrations(@NotNull Plugin plugin)`
`@NotNull Set<PluginMessageListenerRegistration>`
StandardMessenger.`getIncomingChannelRegistrations(@NotNull Plugin plugin, @NotNull String channel)`
Methods in org.bukkit.plugin.messaging with parameters of type PluginMessageListenerRegistration
Modifier and Type
Method
Description
`boolean`
Messenger.`isRegistrationValid(@NotNull PluginMessageListenerRegistration registration)`
Checks if the specified plugin message listener registration is valid.
`boolean`
StandardMessenger.`isRegistrationValid(@NotNull PluginMessageListenerRegistration registration)`